#!/usr/bin/env bash
# identify and remove broke images
# with imageMagick
# Copyright (c) 2021 ShixiangWang

for i in $(ls -d train/cat/* train/fish/* val/cat/* val/fish/* test/cat/* test/fish/*); do
    identify $i > /dev/null 2>&1
    if [ $? -ne 0 ]; then
      echo "file $i is broken, removing it"
      rm $i
    fi
done